Bug 624182 - Review Request: stardict-xmllittre - Authoritative 19th century French dictionary
Review Request: stardict-xmllittre - Authoritative 19th century French dictio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 19:27 EDT by François Cami
Modified: 2011-12-30 17:54 EST (History)
3 users (show)

See Also:
Fixed In Version: stardict-xmllittre-1.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 17:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
mario.blaettermann: needinfo-
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description François Cami 2010-08-13 19:27:14 EDT
Spec URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre.spec
SRPM URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre-1.0-1.fc13.src.rpm
Description: 
Authoritative 19th century French dictionary (the "Littré"), in StarDict format.

From the package wishlist:
https://fedoraproject.org/wiki/Package_maintainers_wishlist#X-Z
Comment 1 François Cami 2010-08-15 09:34:35 EDT
Now with better %description.

Spec URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre.spec
SRPM URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre-1.0-2.fc13.src.rpm

Please note that I am aware that the package name does not strictly follow Fedora's naming guidelines. However:
* upstream's real name is XMLLittré (and "é" cannot be used),
* we have other stardict dictionaries in Fedora, as far as I can tell they are all prefixed with stardict-,
* Debian's package name is stardict-xmllittre: http://packages.debian.org/sid/stardict-xmlittre
Comment 2 François Cami 2010-08-15 09:58:22 EDT
Added README, after converting to UTF-8.

Spec URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre.spec
SRPM URL: http://fcami.fedorapeople.org/srpms/stardict-xmllittre-1.0-3.fc13.src.rpm
Comment 3 Kevin Fenzi 2010-08-15 15:59:58 EDT
Removing needsponsor here as I am sponsoring.
Comment 4 François Cami 2011-06-30 17:11:46 EDT
Removing 617340 as blocker - this was because I was not a packager when the review request was done.
Comment 5 Mario Blättermann 2011-10-03 15:13:22 EDT
Koji scratch build for F15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3400400

Looks fine so far, stay tuned for a full review.
Comment 6 Mario Blättermann 2011-10-03 15:33:50 EDT
$ rpmlint -i -v *stardict-xmllittre.src: I: checking
stardict-xmllittre.src: I: checking-url http://francois.gannaz.free.fr/Littre/horsligne.php (timeout 10 seconds)
stardict-xmllittre.src: I: checking-url http://francois.gannaz.free.fr/Littre/dlds/XMLittre_stardict_1.0.tar (timeout 10 seconds)
stardict-xmllittre.noarch: I: checking
stardict-xmllittre.noarch: I: checking-url http://francois.gannaz.free.fr/Littre/horsligne.php (timeout 10 seconds)
stardict-xmllittre.spec: I: checking-url http://francois.gannaz.free.fr/Littre/dlds/XMLittre_stardict_1.0.tar (timeout 10 seconds)
stardict-xmllittre.spec: W: invalid-url Source0: http://francois.gannaz.free.fr/Littre/dlds/XMLittre_stardict_1.0.tar ''
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 1 warnings.

The URL seems to be unavailable, but with wget I can download the tarball. However, the server is terribly slow.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[X] MUST: The package must be licensed with a Fedora approved license.
    As far as I can read in the sources (or as detected by my translation 
    software, because it's French only), there's no implicit declaration
    of GPLv3. Seems to be rather GPL+ than GPLv3. Would you explain
    the French README please?

[X] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    263506fab62afafda6a37c3f398bf994  XMLittre_stardict_1.0.tar
    263506fab62afafda6a37c3f398bf994  XMLittre_stardict_1.0.tar.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.  I don't speak French, let alone
    this version of French.

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.



If you don't want to provide your package for EPEL <= 6, you may drop the following parts of your spec file:

- the BuildRoot declaration.
- the initial cleaning of ${RPM_BUILD_ROOT} in %install
- the %defattr line in %files
Comment 7 François Cami 2011-11-15 14:42:23 EST
Thank you for reviewing. My comments below.

[X] MUST: The package must be licensed with a Fedora approved license.
    As far as I can read in the sources (or as detected by my translation 
    software, because it's French only), there's no implicit declaration
    of GPLv3. Seems to be rather GPL+ than GPLv3. Would you explain
    the French README please?
[X] MUST: The License field in the package spec file must match the actual
license.

The README implies GPL+ indeed, yet the website at:
http://francois.gannaz.free.fr/Littre/horsligne.php
links explicitely to:
http://fsffrance.org/gpl/gpl-fr.fr.html
which is, unless I am mistaken, an unofficial translation of GPLv3.
So I took what I thought was the safe route, which is GPLv3.
Do you agree?
Comment 8 Mario Blättermann 2011-11-20 17:22:38 EST
Yes, I agree.

PACKAGE APPROVED.

(In reply to comment #6)
> If you don't want to provide your package for EPEL <= 6, you may drop the
> following parts of your spec file:
> 
> - the BuildRoot declaration.
> - the initial cleaning of ${RPM_BUILD_ROOT} in %install
> - the %defattr line in %files

Consider to remove the mentioned parts if you don't plan to package for older EPELs, before you commit it to the Git repo.
Comment 9 François Cami 2011-11-20 18:27:31 EST
Thank you Mario.
Comment 10 François Cami 2011-11-20 18:31:50 EST
New Package SCM Request
=======================
Package Name: stardict-xmllittre
Short Description: Authoritative 19th century French dictionary
Owners: fcami
Branches: f15 f16
InitialCC:
Comment 11 Gwyn Ciesla 2011-11-21 08:32:43 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2011-12-19 17:56:29 EST
stardict-xmllittre-1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/stardict-xmllittre-1.0-3.fc16
Comment 13 Fedora Update System 2011-12-22 17:47:50 EST
stardict-xmllittre-1.0-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2011-12-30 17:54:02 EST
stardict-xmllittre-1.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.